package it;

/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

import java.io.InputStream;
import java.io.IOException;
import java.util.Properties;

import junit.framework.TestCase;

public class BasicTest
    extends TestCase
{

    public void testTestClassesBeforeMainClasses()
    {
        Properties props = getProperties( "/surefire-classpath-order.properties" );
        assertEquals( "test-classes", props.getProperty( "Surefire" ) );
    }

    public void testMainClassesBeforeDependencies()
    {
        Properties props = getProperties( "/surefire-report.properties" );
        assertEquals( "classes", props.getProperty( "Surefire" ) );
    }

    private Properties getProperties(String resource)
    {
        InputStream in = getClass().getResourceAsStream( resource );
        assertNotNull( in );
        try
        {
	        Properties props = new Properties();
	        props.load( in );
	        return props;
        }
        catch (IOException e)
        {
            fail(e.toString());
            return null;
        }
    }

}
